#ifndef ETHERLIB_TEST_HTTP_SERVER_H
#define ETHERLIB_TEST_HTTP_SERVER_H

#include "../cbd_table.h"
#include "../prefab/packet_parsers/ipv4_types.h"

typedef struct {
    cbd serverConn; ///< Server connection
} HttpServer;

/**
 * Create a new HTTP-server
 * @param addr server bind address
 * @param port server port
 * @return pointer to newly allocated Http server OR NULL on failure
 */
HttpServer * http_new(ip4_addr addr, uint16_t port);

#endif //ETHERLIB_TEST_HTTP_SERVER_H
