#ifndef ETHERLIB_CUSTOM_ETHERTYPE_CONNBLOCK_H
#define ETHERLIB_CUSTOM_ETHERTYPE_CONNBLOCK_H

#include "../../connection_block.h"
#include "../../cbd_table.h"
#include "../packet_parsers/ethernet_frame.h"

#define ETHERTYPE_FROM_FILTCOND(fc) ((fc)->uw[0])
#define ETHERTYPE_TO_FILTCOND(fc,et) (((fc)->uw[0]) = (et))

struct EthInterface_;

cbd cet_new_connblock(struct EthInterface_ * intf, uint16_t etherType, SieveCallBackFn cbFn);

int cet_send_arg(cbd d, const uint8_t *dest, const uint8_t *data, uint16_t size, uint32_t arg);

int cet_send(cbd d, EthernetAddress dest, const uint8_t * data, uint16_t size);

void cet_print_report(const ConnBlock* connBlock);

#endif //ETHERLIB_CUSTOM_ETHERTYPE_CONNBLOCK_H
