#ifndef ETHERLIB_ICMP_CONNBLOCK_H
#define ETHERLIB_ICMP_CONNBLOCK_H

#include "../../connection_block.h"

struct EthInterface_;

/**
 * Create ICMP connection block.
 * @param intf associated Ethernet interface
 * @return connection block
 */
ConnBlock icmp_new_connblock(struct EthInterface_ * intf);

/**
 * Print ICMP connblock report.
 * @param connBlock ICMP connblock
 */
void icmp_print_report(const ConnBlock* connBlock);

#endif //ETHERLIB_ICMP_CONNBLOCK_H
