//
// Created by epagris on 2023.04.22..
//

#include "timestamping.h"

#include "global_state.h"
#include "utils.h"

void ts_set_tx_callback(cbd d, void (*cb)(uint32_t, uint32_t, uint32_t)) {
    ConnBlock connb;
    if (!cbdt_get_connection_block(E.cbdt, d, &connb)) { // try to fetch connection block
        ERROR("Unknown CBD: %u\n", d); // if not found, then do nothing
        return;
    }

    // if found...
    connb.sieveLayer->txTsCb = cb;
}
